#ifndef			_VOLUMES_H_
#define			_VOLUMES_H_

#include		"Vector.h"
#include		<windows.h>
#include		<gl/gl.h>
#include		<math.h>

class		clPObject
{

public:

	clVec2	vPos;
	float	fAngle;

	clVec2	vVel;
	float	fW;

	//   
	void	funcPush	( clVec2 vPush, clVec2 vNormal, float fImpulse );

	//   
	virtual void		funcReload		( void ) = 0;


private:

};

// Axis Alingment Bounding Box
//     ,    
class		clAABB
{

public:

	clVec2	vVec[ 4 ];

	clVec2	vPos;
	clVec2	vSiz;

	void	funcReload	( void );

private:

};

// Bounding Circle

class		clSphere : public clPObject
{

public:

	float		fRadius;

	void		funcReload	( void );
	void		funcRender	( int iCount );

private:

};

// Bounding line segment

class		clLine : public clPObject
{

public:

	clVec2		vVec[ 2 ];

	clVec2		vDir;
	float		fHalf;

	void		funcReload	( void );
	void		funcRender	( void );

private:

};

// Axis Alingment Bounding Box

class		clOBB : public clPObject
{

public:

	clVec2	vVec[ 4 ];

	clVec2	vSiz;

	void	funcReload	( void );
	void	funcRender	( void );

private:

};

#endif			// _VOLUMES_H_