#ifndef		_INTERSECT_H_
#define		_INTERSECT_H_

#include	"Vector.h"
#include	"Volumes.h"

class	clIntersect
{

public:

	//     
	void	funcGetIntervalSphere		( clSphere a, clVec2 axis, float & fMin, float & fMax );
	void	funcGetIntervalLine			( clLine a, clVec2 axis, float & fMin, float & fMax );
	void	funcGetInterval				( clVec2 * v, int iNum, clVec2 vAxis, float & fMin, float & fMax );

	//   true   
	//  : 
	// 1 , 2 ,  ,  ,  
	bool	funcIntersectAABBxAABB		( clAABB & a0, clAABB & a1 );	//     
	//  
	bool	funcIntersectAABBxLine		( clAABB & a0, clLine & a1, clVec2 & v, float & fDepth, clVec2 & c );
	bool	funcIntersectOBBxLine		( clOBB & a0, clLine & a1, clVec2 & v, float & fDepth, clVec2 & c );
	bool	funcIntersectSpherexLine	( clSphere & a0, clLine & a1, clVec2 & v, float & fDepth, clVec2 & c );
	bool	funcIntersectLinexLine		( clLine & a0, clLine & a1, clVec2 & v, float & fDepth, clVec2 & c );
	bool	funcIntersectAABBxSphere	( clAABB & a0, clSphere & a1, clVec2 & v, float & fDepth, clVec2 & c );
	bool	funcIntersectSpherexOBB		( clSphere & a0, clOBB & a1, clVec2 & v, float & fDepth, clVec2 & c );
	bool	funcIntersectSpherexSphere	( clSphere & a0, clSphere & a1, clVec2 & v, float & fDepth, clVec2 & c );
	bool	funcIntersectAABBxOBB		( clAABB & a0, clOBB & a1, clVec2 & v, float & fDepth, clVec2 & c );
	bool	funcIntersectOBBxOBB		( clOBB & a0, clOBB & a1, clVec2 & v, float & fDepth, clVec2 & c );

	//     
	clVec2	funcGetFarPoint				( clVec2 * v, int iNum, clVec2 & vA, clVec2 & vB, clVec2 & vNormal );

	// 
	clVec2	funcProjectPointOnLine		( clVec2 & vInput, clVec2 & vA, clVec2 & vB );

private:

};

#endif		// _INTERSECT_H_